#
# Conditional build:
%bcond_without	apidocs		# API documentation (doxygen generated)
%bcond_without	static_libs	# static library

Summary:	ZenLib C++ utility library
Summary(pl.UTF-8):	ZenLib - biblioteka narzędziowa C++
Name:		libzen
Version:	0.4.39
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://mediaarea.net/download/source/libzen/%{version}/%{name}_%{version}.tar.xz
# Source0-md5:	61c47005f2d383876b0bce57ee173e20
Patch0:		%{name}-include.patch
URL:		https://github.com/MediaArea/ZenLib
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZenLib is a C++ utility library. It includes classes for handling
strings, configuration, bit streams, threading, translation, and
cross-platform operating system functions.

%description -l pl.UTF-8
ZenLib to biblioteka narzędziowa C++. Zawiera klasy do obsługi
łańcuchów znaków, konfiguracji, strumieni bitowych, wątków, tłumaczeń
oraz wieloplatformowe funkcji dotyczące systemu operacyjnego.

%package devel
Summary:	Header files for ZenLib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ZenLib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for ZenLib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ZenLib.

%package static
Summary:	Static ZenLib library
Summary(pl.UTF-8):	Statyczna biblioteka ZenLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ZenLib library.

%description static -l pl.UTF-8
Statyczna biblioteka ZenLib.

%package apidocs
Summary:	API documentation for ZenLib library
Summary(pl.UTF-8):	Dokumentacja API biblioteki ZenLib
Group:		Documentation

%description apidocs
API documentation for ZenLib library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki ZenLib.

%prep
%setup -q -n ZenLib
%undos Source/ZenLib/*.h
%undos *.txt Source/Doc/*.html
chmod 644 *.txt Source/Doc/*.html
%patch0 -p1

%build
cd Project/GNU/Library
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make} clean
%{__make}

%if %{with apidocs}
cd ../../../Source/Doc
doxygen Doxyfile
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C Project/GNU/Library install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libzen.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc History.txt License.txt README.md
%attr(755,root,root) %{_libdir}/libzen.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzen.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzen.so
%{_includedir}/ZenLib
%{_pkgconfigdir}/libzen.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libzen.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
# Documentation.html expects Doc/index.html
%doc Source/Doc/Documentation.html Doc
%endif
%changelog
* Thu Apr 07 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libzen.git;a=log;h=master

* Thu Apr 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 7df60e1
- updated to 0.4.39

* Thu Jul 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 3867d92
- updated to 0.4.38
- drop .la file

* Mon Jun 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 638e129
- up to 0.4.37

* Wed Jun 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 406cd46
- updated to 0.4.35

* Sun Jun 19 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> dd81643
- up to 0.4.33

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> cf46260
- x32 rebuild
- release 2 (by relup.sh)

* Sat Mar 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 75f5fc1
- obsolete install hacks cleanup

* Sat Mar 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e0fecb
- up to 0.4.29

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 2dd0315
- cleanup

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 28aed47
- cleanups, better descriptions + pl

* Sun Oct 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bacfefe
- up to 0.4.28

* Mon Jul 18 2011 Karol Krenski <charles@pld-linux.org> 382fb6c
- package include/ZenLib/TinyXml
- rel. 2

* Mon Jul 18 2011 Karol Krenski <charles@pld-linux.org> cfec36c
- updated to 0.4.20
- use undos macro instead of dos2unix (updated BRs)

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> 4b81713
- up to 0.4.19

* Sat Feb 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c23d378
- up to 0.4.17

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> 6f42a67
- make sure package name and name specified in %files match

* Thu Sep 30 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f7b7858
- up to 0.4.15

* Wed Mar 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d70f6e
- up to 0.4.12

* Mon Feb 22 2010 Elan Ruusamäe <glen@pld-linux.org> 2818d97
- typo, unify, adapter

* Sun Feb 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 86d8270
- up to 0.4.11

